Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8028035

Application always run on the insecure jre in some case

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2
    • Resolution: Not an Issue
    • Affects Version/s: 7u51, 8
    • Fix Version/s: 7u51, 8
    • Component/s: deploy
    • Labels:
    • Environment:

      win7 x86, jre8 b114

      Description

      When both the security jre and insecurity are installed, and the required jre is insecurity, ssv dialog should come out to warn user and user should be able to select to run with the latest security jre. Refer to JDK-8006776.
      But now both of the selections on ssv dialog make the application run on insecurity jre.

      Steps to reproduce:
      1)Install jre8 b114
      2) Set security level to Medium
      2) Install jre7u25 b34
      3) Launch http://oklahoma.us.oracle.com/www/tests/ssv2/hello7.jnlp
      4) Accept the unsigned dialog.
      5) Select "Run with the latest version on your system" and then click "Continue"
      6) If applet runs on 7u25, bug is reproducible.

      I notice that <java version="1.7*" href="http://java.sun.com/products/autodl/j2se" /> is inside the applet.
      If change it to 1.7+, it will launch with jre8 directly, which is expected.


        Attachments

          Activity

            People

            • Assignee:
              vdrozdov Victor Drozdov (Inactive)
              Reporter:
              yanqchen Sheldon Chen (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: